/* Allgemeines */

li {
  font-size: 12px;
}

a.anchor{
  position: absolute;
  margin-top: -25px;
}

/* Placeholder */

/* IE 6-9 */
input.hasPlaceholder,
textarea.hasPlaceholder,
submit.hasPlaceholder{
  color: #AAA;
}

/* Formulare */

form{
  display: block;
  padding-right: 10%;
}

form.fullWidth{
  padding-right: 0%;
}

input[type=text],
input[type=password],
input[type=radio],
input[type=checkbox],
textarea,
select{
  font-size: 12px;
  line-height: 12px;
  width: 100%;
  width: calc(100% - 2px);
}

input[type=text],
input[type=password],
textarea,
select{
  border: 1px solid #BBB;
  background-color: white;
}

textarea{
  width: 99.3%;
  width: calc(100% - 6px);
}

select{
  width: 100% !important;
  height: 22px !important;
}

select.small{
  width: 20% !important;
}

/*textarea.standalone{
  width: 95%;
}*/

input[type=text],
input[type=password],
input[type=radio],
input[type=checkbox],
select{
  height: 19px;
  margin-bottom: 5px;
}

input[type=text],
input[type=password]{
 text-indent: 5px; 
}

input[type=checkbox], input[type=radio]{
  width: 12px;
  margin-top: 3px !important;
}


input.twoColumn{
  width: 48%;
}

input.twoColumn.right{
  float:right;
}

.normaltext,
.interfacetext,
.error {
  font-size: inherit !important;
}

/** Error Box **/
  
div.errorMessageBox,
div.errorMessageBox .boxContent,
div.errorMessageBox h6 {
  background: none !important;
}

div.errorMessageBox .blueButton{
  height: 30px;
  padding-left: 60px;
  padding-right: 60px;
  font-size: 17px;
  font-weight: bold;
}

.bodyFrontend div.errorMessageBox{
  background-color: #EFE8E5 !important;   
}


/* Buttons */

input[type=submit].buttonBlue,
input[type=button].buttonBlue{
  height: 25px !important;
  margin-left: 0px !important;
  padding-top: 1px !important;
  cursor: pointer;
}

.buttonBlue {
  font-size: 12px;
  font-weight: bold;
  margin-top: 5px;
  margin-bottom: 5px;
  height: 21px;
  width: 140px;
  display: block;
  margin-left: 110px;
  color: white;
  background-image: url('/i/button_layers_blue.png');
  text-align: center;
  padding-top: 4px;
  text-decoration: none;
  border: 0px;
}

.buttonBlue:link,
.buttonBlue:hover,
.buttonBlue:active,
.buttonBlue:visited {
  color: white !important;
  text-decoration: none;
}

.buttonBlue:hover {
  background-position: 0px 50px;
}

.buttonBlue:active {
  background-position: 0px 25px;
}

a.buttonBlueSmall {
  font-size: 12px;
  font-weight: bold;
  margin-top: 5px;
  margin-bottom: 5px;
  height: 25px;
  width: 80px;
  display: block;
  color: white;
  background-image: url('/i/button_layers_blue_small.png');
  text-align: center;
  text-decoration: none;
}

a.buttonBlueSmall:link {
  color: white !important;
  text-decoration: none;
}

a.buttonBlueSmall:hover {
  color: white !important;
  background-position: 0px 50px;
}

a.buttonBlueSmall:active {
  color: white !important;
  background-position: 0px 25px;
}

/* custom buttons */

.blueButton.freeAccount{
  height: 30px;
  font-size: 17px;
  font-weight: bold;
  padding-left:29px;
  padding-right:29px;
}

.blueButton.login{
  height: 30px;
  font-size: 17px;
  font-weight: bold;
  width: 100%;
}

.blueButton.serverRegistration{
  font-size: 12px;
  padding-left: 15px;
  padding-right: 15px;
  padding-top: 5px;
  padding-bottom: 5px;
  font-weight: bold;
}

.centeredButton{
  width: 100%;
  text-align: center;
}

/**
 * Cookie Consent
 */
#cookie_consent_container .cookie_consent_button {
  position: fixed;
  left: 16px;
  bottom: 16px;
  border-radius: 50% !important;
  z-index: 999999;
  background-color: rgb(108, 117, 125);
  border: none;
  width: 64px;
  height: 64px;
}

#cookie_consent_container .cookie_consent_button img {
  width: 49px;
  height: auto;
  filter: invert(100%);
}
#cookie_consent_container.hidden {
  display: none;
}
#cookie_consent_container button {
  cursor: pointer;
}
#cm {
  max-width: 32.2em;
}
:root {
  --cc-btn-secondary-bg:#ffffff;
}
